<?xml version="1.0" encoding="iso-8859-1"?>
<!DOCTYPE html 
     PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
     "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
<head>
  <title>Class: DevelopmentController</title>
  <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1" />
  <meta http-equiv="Content-Script-Type" content="text/javascript" />
  <link rel="stylesheet" href=".././rdoc-style.css" type="text/css" media="screen" />
  <script type="text/javascript">
  // <![CDATA[

  function popupCode( url ) {
    window.open(url, "Code", "resizable=yes,scrollbars=yes,toolbar=no,status=no,height=150,width=400")
  }

  function toggleCode( id ) {
    if ( document.getElementById )
      elem = document.getElementById( id );
    else if ( document.all )
      elem = eval( "document.all." + id );
    else
      return false;

    elemStyle = elem.style;
    
    if ( elemStyle.display != "block" ) {
      elemStyle.display = "block"
    } else {
      elemStyle.display = "none"
    }

    return true;
  }
  
  // Make codeblocks hidden by default
  document.writeln( "<style type=\"text/css\">div.method-source-code { display: none }</style>" )
  
  // ]]>
  </script>

</head>
<body>



    <div id="classHeader">
        <table class="header-table">
        <tr class="top-aligned-row">
          <td><strong>Class</strong></td>
          <td class="class-name-in-header">DevelopmentController</td>
        </tr>
        <tr class="top-aligned-row">
            <td><strong>In:</strong></td>
            <td>
                <a href="../files/app/controllers/development_controller_rb.html">
                app/controllers/development_controller.rb
                </a>
        <br />
            </td>
        </tr>

        <tr class="top-aligned-row">
            <td><strong>Parent:</strong></td>
            <td>
                <a href="ApplicationController.html">
                ApplicationController
               </a>
            </td>
        </tr>
        </table>
    </div>
  <!-- banner header -->

  <div id="bodyContent">



  <div id="contextContent">



   </div>

    <div id="method-list">
      <h3 class="section-bar">Methods</h3>

      <div class="name-list">
      <a href="#M000054">index</a>&nbsp;&nbsp;
      <a href="#M000055">log</a>&nbsp;&nbsp;
      <a href="#M000053">new</a>&nbsp;&nbsp;
      </div>
    </div>

  </div>


    <!-- if includes -->

    <div id="section">





      


    <!-- if method_list -->
    <div id="methods">
      <h3 class="section-bar">Public Class methods</h3>

      <div id="method-M000053" class="method-detail">
        <a name="M000053"></a>

        <div class="method-heading">
          <a href="#M000053" class="method-signature">
          <span class="method-name">new</span><span class="method-args">()</span>
          </a>
        </div>
      
        <div class="method-description">
          <p><a class="source-toggle" href="#"
            onclick="toggleCode('M000053-source');return false;">[Source]</a></p>
          <div class="method-source-code" id="M000053-source">
<pre>
    <span class="ruby-comment cmt"># File app/controllers/development_controller.rb, line 3</span>
 3:   <span class="ruby-keyword kw">def</span> <span class="ruby-identifier">initialize</span>
 4:     <span class="ruby-ivar">@page_title1</span> = <span class="ruby-value str">&quot;Mwamko: Development Page&quot;</span>
 5:     <span class="ruby-ivar">@development</span> = <span class="ruby-constant">Development</span>.<span class="ruby-identifier">new</span>
 6:     <span class="ruby-ivar">@page_title2</span> = <span class="ruby-node">&quot;
 7:           We&amp;rsquo;re running 
 8:           &lt;i&gt;Revision #{Development.revision}&lt;/i&gt;
 9:           in
10:           &lt;i&gt;#{Development.owner}&lt;/i&gt;&quot;</span>
11:   <span class="ruby-keyword kw">end</span>
</pre>
          </div>
        </div>
      </div>

      <h3 class="section-bar">Public Instance methods</h3>

      <div id="method-M000054" class="method-detail">
        <a name="M000054"></a>

        <div class="method-heading">
          <a href="#M000054" class="method-signature">
          <span class="method-name">index</span><span class="method-args">()</span>
          </a>
        </div>
      
        <div class="method-description">
          <p><a class="source-toggle" href="#"
            onclick="toggleCode('M000054-source');return false;">[Source]</a></p>
          <div class="method-source-code" id="M000054-source">
<pre>
    <span class="ruby-comment cmt"># File app/controllers/development_controller.rb, line 13</span>
13:   <span class="ruby-keyword kw">def</span> <span class="ruby-identifier">index</span>
14:     <span class="ruby-ivar">@last_10_commits</span> = <span class="ruby-ivar">@development</span>.<span class="ruby-identifier">last_10_commits</span>
15:     <span class="ruby-ivar">@commits_per_dir</span> = <span class="ruby-ivar">@development</span>.<span class="ruby-identifier">commits_per_dir</span>
16:     <span class="ruby-ivar">@rails_log</span> = <span class="ruby-ivar">@development</span>.<span class="ruby-identifier">rails_log</span>
17:   <span class="ruby-keyword kw">end</span>
</pre>
          </div>
        </div>
      </div>

      <div id="method-M000055" class="method-detail">
        <a name="M000055"></a>

        <div class="method-heading">
          <a href="#M000055" class="method-signature">
          <span class="method-name">log</span><span class="method-args">()</span>
          </a>
        </div>
      
        <div class="method-description">
          <p><a class="source-toggle" href="#"
            onclick="toggleCode('M000055-source');return false;">[Source]</a></p>
          <div class="method-source-code" id="M000055-source">
<pre>
    <span class="ruby-comment cmt"># File app/controllers/development_controller.rb, line 19</span>
19:   <span class="ruby-keyword kw">def</span> <span class="ruby-identifier">log</span>
20:     <span class="ruby-identifier">render_text</span> <span class="ruby-value str">&quot;&lt;pre&gt;&quot;</span> <span class="ruby-operator">&lt;&lt;</span> 
21:       <span class="ruby-ivar">@development</span>.<span class="ruby-identifier">rails_log_all</span> <span class="ruby-operator">&lt;&lt;</span>
22:       <span class="ruby-value str">&quot;&lt;/pre&gt;&quot;</span>
23:   <span class="ruby-keyword kw">end</span>
</pre>
          </div>
        </div>
      </div>


    </div>


  </div>


<div id="validator-badges">
  <p><small><a href="http://validator.w3.org/check/referer">[Validate]</a></small></p>
</div>

</body>
</html>